from setuptools import setup

NAME = 'Greenhouse'
VERSION = '1'
AUTHOR = 'Thomas Klaehn'
EMAIL = 'tkl@blackfinn.de'
PACKAGES = ['greenhouse']
REQUIRES = ['Flask', 'w1thermsensor', 'RPi.GPIO']
CONFIG_FOLDER = '/etc/greenhouse'
CONFIG_FILE = 'greenhouse.json'
PACKAGE_DATA = {'greenhouse': ['templates/*', 'static/css/*', 'static/scripts/*', 'config/*']}

setup(name=NAME, version=VERSION, long_description=__doc__, author=AUTHOR, author_email=EMAIL,
      packages=PACKAGES, include_package_data=True, package_data=PACKAGE_DATA, zip_safe=False,
      install_requires=REQUIRES)
